@keyframes gradient {
	0% {
		background-position: 0% 50%;
	}
	50% {
		background-position: 100% 50%;
	}
	100% {
		background-position: 0% 50%;
	}
}

.hp-field {
  position: absolute !important;
  left: -5000px !important;
  width: 1px !important;
  height: 1px !important;
  opacity: 0 !important;
  pointer-events: none !important;
}

/*---------------------------------------------*/
a.login {
	font-family: LexendDeca;
	font-size: 14px;
	line-height: 1.7;
	color: #666666;
	margin: 0px;
	transition: all 0.4s;
	-webkit-transition: all 0.4s;
  -o-transition: all 0.4s;
  -moz-transition: all 0.4s;
}

a.login:focus {
	outline: none !important;
}

a.login:hover {
	text-decoration: none;
  color: #6a7dfe;
  color: -webkit-linear-gradient(left, #21d4fd, #b721ff);
  color: -o-linear-gradient(left, #21d4fd, #b721ff);
  color: -moz-linear-gradient(left, #21d4fd, #b721ff);
  color: linear-gradient(left, #21d4fd, #b721ff);
}

.popup textarea, 
.popup select,
.popup input:not([type='checkbox'])
{
	background-color: #f5f7fa;
	border: 1px solid #eef0f4;
}

.login_avatar {
  /*background-image: url(../img/floortje_login.png) !important;*/
  width: 300px;
  height: 300px;
  position: fixed;
  bottom: -30px;
  margin-top: 0px;
  right: 20px;
  margin-left: 0px;
  background-size: contain;
  background-repeat: no-repeat;
  background-position: top center;
  z-index: 1;
  /* display: none; */
}


/*---------------------------------------------*/
input {
	outline: none;
	border: none;
}

textarea {
  outline: none;
  border: none;
}

.container-login100 textarea:focus, .container-login100 input:focus {
  /*border-color: transparent !important;*/
}

input:focus::-webkit-input-placeholder { color:transparent; }
input:focus:-moz-placeholder { color:transparent; }
input:focus::-moz-placeholder { color:transparent; }
input:focus:-ms-input-placeholder { color:transparent; }

textarea:focus::-webkit-input-placeholder { color:transparent; }
textarea:focus:-moz-placeholder { color:transparent; }
textarea:focus::-moz-placeholder { color:transparent; }
textarea:focus:-ms-input-placeholder { color:transparent; }

input::-webkit-input-placeholder { color: #adadad;}
input:-moz-placeholder { color: #adadad;}
input::-moz-placeholder { color: #adadad;}
input:-ms-input-placeholder { color: #adadad;}

textarea::-webkit-input-placeholder { color: #adadad;}
textarea:-moz-placeholder { color: #adadad;}
textarea::-moz-placeholder { color: #adadad;}
textarea:-ms-input-placeholder { color: #adadad;}

/*---------------------------------------------*/
button.login {
	outline: none !important;
	border: none;
	background: transparent;
}

button.login:hover {
	cursor: pointer;
}

/*//////////////////////////////////////////////////////////////////
[ Utility ]*/
.txt1 {
  font-family: LexendDeca;
  font-size: 13px;
  color: #666666;
  line-height: 1.5;
}

.txt2 {
  font-family: LexendDeca;
  font-size: 13px;
  color: #333333;
  line-height: 1.5;
}

/*//////////////////////////////////////////////////////////////////
[ login ]*/

.limiter {
  	background: #212534;  	
	position: absolute;
	overflow: auto;
	width: 100%;
	margin: 0 auto;
	
	background-image: url(../img/ysa_logo_blob_blue.png);
    background-position: calc(-30px) calc(100% - 10px);
    background-attachment: fixed;
    background-repeat: no-repeat;
    background-size: 200px;
	
	background: linear-gradient(325deg, #348ece, #212534, #212534);
  background: linear-gradient(223deg, #cde0ed, #d5efe2);
  background: #fafafa;
  /*  background-size: 600% 600%;*/

    -webkit-animation: LoginAnimation 28s ease infinite;
    -moz-animation: LoginAnimation 28s ease infinite;
    animation: LoginAnimation 28s ease infinite;
}

@-webkit-keyframes LoginAnimation {
    0%{background-position:2% 0%}
    50%{background-position:99% 100%}
    100%{background-position:2% 0%}
}
@-moz-keyframes LoginAnimation {
    0%{background-position:2% 0%}
    50%{background-position:99% 100%}
    100%{background-position:2% 0%}
}
@keyframes LoginAnimation {
    0%{background-position:2% 0%}
    50%{background-position:99% 100%}
    100%{background-position:2% 0%}
}

.container-login100 {
	width: 100%;  
	min-height: 100vh;
	display: -webkit-box;
	display: -webkit-flex;
	display: -moz-box;
	display: -ms-flexbox;
	display: flex;
	flex-wrap: wrap;
	justify-content: center;
	align-items: center;
	padding: 15px;
	z-index:2;
	height: 100vh;
	background-image: none;
	background:transparent;
}

.wrap-login100 {
  width: 500px;
  background: #ffffff;
  backdrop-filter: blur(5px);
  -webkit-backdrop-filter: blur(5px);
  border-radius: 20px;
  overflow: hidden;
  padding: 47px 55px 33px 55px;

  box-shadow: 0 10px 30px 0px rgba(0, 0, 0, 0.2);
  z-index:1;
}

.text-center.p-t-115.twofa_message
{
  margin-bottom:15px;
}

.container-page200 {
  width: 100%;  
  min-height: 100vh;
  display: -webkit-box;
  display: -webkit-flex;
  display: -moz-box;
  display: -ms-flexbox;
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
  padding: 15px;
  background: #212534;  
    z-index:2;
}

.wrap-page200 {
  width: 690px;
  background: #ffffff;
  backdrop-filter: blur(5px);
  -webkit-backdrop-filter: blur(5px);
  border-radius: 10px;
  overflow: hidden;
  padding: 47px 55px 33px 55px;

  box-shadow: 0 0px 10px 0px rgba(0, 0, 0, 0.1);
  -moz-box-shadow: 0 0px 10px 0px rgba(0, 0, 0, 0.1);
  -webkit-box-shadow: 0 0px 10px 0px rgba(0, 0, 0, 0.1);
  -o-box-shadow: 0 0px 10px 0px rgba(0, 0, 0, 0.1);
  -ms-box-shadow: 0 0px 10px 0px rgba(0, 0, 0, 0.1);
  z-index:1;
}

#error_message
{
    text-align: center;
    color:#dd0000;   
}

#success_message
{
    text-align: center;
    color:#41C712;   
}


/*------------------------------------------------------------------
[ Form ]*/

.login100-form {
  width: 100%;
}

.login100-form-title {
  display: block;
  font-family: LexendDeca;
  font-weight:600;
  font-size: 30px;
  color: #333333;
  line-height: 1.2;
  text-align: center;
  margin-bottom:20px;
}
.login100-form-title i {
  font-size: 60px;
}

.login100-form-title-small
{
    font-family: LexendDeca;
    display: block;
    font-weight:300;
    font-size: 20px;
    text-align: center;
    margin-bottom:40px;
}

/*------------------------------------------------------------------
[ Input ]*/

.wrap-input100 {
  width: 100%;
  position: relative;
  border-bottom: 0px solid #dddddd;
  margin-bottom: 37px;
}

.input100 {
  font-family: LexendDeca;
  font-size: 15px;
  color: #555555;
  line-height: 1.2;
  border-radius: 7px;
  font-weight:200;
  display: block;
  width: 100%;
  height: 45px;
  background: #317fb812;
  padding: 0px 15px 3px 15px;
}

/*---------------------------------------------*/ 
.focus-input100 {
  position: absolute;
  display: block;
  width: 100%;
  height: 100%;
  border-radius: 7px;
  top: 0;
  left: 0;
  pointer-events: none;
}

.focus-input100::before {
  content: "";
  display: block;
  position: absolute;
  bottom: -2px;
  left: 0;
  width: 0;
  height: 0px;

  -webkit-transition: all 0.4s;
  -o-transition: all 0.4s;
  -moz-transition: all 0.4s;
  transition: all 0.4s;

  /*background: #6a7dfe;
  background: -webkit-linear-gradient(left, #21d4fd, #b721ff);
  background: -o-linear-gradient(left, #21d4fd, #b721ff);
  background: -moz-linear-gradient(left, #21d4fd, #b721ff);
  background: linear-gradient(left, #21d4fd, #b721ff);*/
    
    background: #3a86b1;
}

.focus-input100::after {
  font-family: LexendDeca;
  font-size: 15px;
  color: #747474;
  line-height: 1.2;
  font-weight: bold;
  content: attr(data-placeholder);
  display: block;
  width: 100%;
  position: absolute;
  top: 13px;
  left: 10px;
  padding-left: 5px;

  -webkit-transition: all 0.4s;
  -o-transition: all 0.4s;
  -moz-transition: all 0.4s;
  transition: all 0.4s;
}

.input100:focus + .focus-input100::after {
  top: -19px;
  color: #000000;
}

.input100:focus + .focus-input100::before {
  width: 100%;
}

.has-val.input100 + .focus-input100::after {
  top: -19px;
  color: #000000;
}

.has-val.input100 + .focus-input100::before {
  width: 100%;
}

/*---------------------------------------------*/
.btn-show-pass {
  font-size: 15px;
  color: #999999;

  display: -webkit-box;
  display: -webkit-flex;
  display: -moz-box;
  display: -ms-flexbox;
  display: flex;
  align-items: center;
  position: absolute;
  height: 100%;
  top: 0;
  right: 0;
  padding-right: 5px;
  cursor: pointer;
  -webkit-transition: all 0.4s;
  -o-transition: all 0.4s;
  -moz-transition: all 0.4s;
  transition: all 0.4s;
}

.btn-show-pass:hover {
  color: #6a7dfe;
  color: -webkit-linear-gradient(left, #21d4fd, #b721ff);
  color: -o-linear-gradient(left, #21d4fd, #b721ff);
  color: -moz-linear-gradient(left, #21d4fd, #b721ff);
  color: linear-gradient(left, #21d4fd, #b721ff);
}

.btn-show-pass.active {
  color: #6a7dfe;
  color: -webkit-linear-gradient(left, #21d4fd, #b721ff);
  color: -o-linear-gradient(left, #21d4fd, #b721ff);
  color: -moz-linear-gradient(left, #21d4fd, #b721ff);
  color: linear-gradient(left, #21d4fd, #b721ff);
}



/*------------------------------------------------------------------
[ Button ]*/
.container-login100-form-btn {
  display: -webkit-box;
  display: -webkit-flex;
  display: -moz-box;
  display: -ms-flexbox;
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  padding-top: 13px;
}

.wrap-login100-form-btn {
  width: 100%;
  display: block;
  position: relative;
  z-index: 1;
  border-radius: 37px;
  overflow: hidden;
  margin: 0 auto;
}

.login100-form-bgbtn {
    position: absolute;
    z-index: -1;
    width: 100%;
    height: 100%;
    background: #a64bf4;
    background: -webkit-linear-gradient(right, #21d4fd, #b721ff, #21d4fd, #b721ff);
    background: -o-linear-gradient(right, #21d4fd, #b721ff, #21d4fd, #b721ff);
    background: -moz-linear-gradient(right, #21d4fd, #b721ff, #21d4fd, #b721ff);
    background: linear-gradient(right, #21d4fd, #b721ff, #21d4fd, #b721ff);
    background: #3a86b1;
    background: linear-gradient(129deg, #be01b3, #f96a34);
	background: linear-gradient(129deg, #d63069, #a171a3);
	background: linear-gradient(129deg, #368ece, #368ece);
	
	background: none;
	background-color: #000000;
	
    top: 0;
    /* left: -100%; */
    -webkit-transition: all 0.4s;
    -o-transition: all 0.4s;
    -moz-transition: all 0.4s;
    transition: all 0.4s;
}

.login100-form-btn {
  font-family: LexendDeca;
  font-size: 15px;
  color: #fff;
  line-height: 1.2;
  text-transform: uppercase;

  display: -webkit-box;
  display: -webkit-flex;
  display: -moz-box;
  display: -ms-flexbox;
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 0 20px;
  width: 100%;
  height: 50px;
}

.wrap-login100-form-btn:hover .login100-form-bgbtn {
  left: 0;
}

.text-center
{
    text-align: center;
}

.p-t-115
{
    margin-top:30px;
}


/*------------------------------------------------------------------
[ Alert validate ]*/

.validate-input {
  position: relative;
}

.alert-validate::before {
  content: attr(data-validate);
  position: absolute;
  max-width: 70%;
  background-color: #ffffff;
  border: 1px solid #c80000;
  border-radius: 5px;
  padding: 4px 25px 4px 10px;
  top: 50%;
  -webkit-transform: translateY(-50%);
  -moz-transform: translateY(-50%);
  -ms-transform: translateY(-50%);
  -o-transform: translateY(-50%);
  transform: translateY(-50%);
  right: 0px;
  pointer-events: none;

  font-family: LexendDeca;
  color: #30ac94;
  font-size: 13px;
  line-height: 1.4;
  text-align: left;

  visibility: hidden;
  opacity: 0;

  -webkit-transition: opacity 0.4s;
  -o-transition: opacity 0.4s;
  -moz-transition: opacity 0.4s;
  transition: opacity 0.4s;
}

.alert-validate::after {
  content: "\f06a";
  font-family: FontAwesome;
  font-size: 16px;
  color: #e74c3c;

  display: block;
  position: absolute;
  background-color: #ffffff00;
  top: 50%;
  -webkit-transform: translateY(-50%);
  -moz-transform: translateY(-50%);
  -ms-transform: translateY(-50%);
  -o-transform: translateY(-50%);
  transform: translateY(-50%);
  right: 5px;
}

.alert-validate:hover:before {
  visibility: visible;
  opacity: 1;
}

@keyframes shake {
  0% { transform: translateX(0); }
  25% { transform: translateX(-5px); }
  50% { transform: translateX(5px); }
  75% { transform: translateX(-5px); }
  100% { transform: translateX(0); }
}

.shake {
  animation: shake 0.5s;
}

.shake .login100-form-bgbtn {
  background-image: none !important; /* geen achtergrondafbeelding tijdens shake */
  background-color: #e74c3c !important; /* rood tijdens shake */
}



